﻿//////////////////////////////////////////////
// SystemDetector.h
// 
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkDebug
#include "../Dll/DllDefines.h"

#include "SystemLabel.h"
#include "SystemVersion.h"

// nkLog
#include <NilkinsLog/Data/String.h>

/// Class ------------------------------------

namespace nkDebug
{
	class DLL_NKDEBUG_EXPORT SystemDetector final
	{
		public :

			// Functions
			// System info
			static SYSTEM_LABEL getSystemLabel () ;
			static SYSTEM_VERSION getSystemVersion () ;
			static nkLog::String getSystemBuild () ;
	} ;
}