﻿//////////////////////////////////////////////
// Alignment.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkMemory
{
	class StringView ;
}

/// Includes ---------------------------------

// nkWinUi
#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkWinUi
{
	enum class ALIGNMENT
	{
		LEFT_TOP = 0,
		CENTER,
		RIGHT_BOTTOM
	} ;

	class DLL_WINUI_EXPORT AlignmentUtils final
	{
		private :

			AlignmentUtils () = delete ;
			~AlignmentUtils () = delete ;

		public :

			// String conversions
			static nkMemory::StringView enumToString (ALIGNMENT toConvert) ;
			static ALIGNMENT stringToEnum (const nkMemory::StringView& toConvert) ;
	} ;
}